#
# spec file for package hpl (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  atlas f2c g77 mpich
# usedforbuild    aaa_base aaa_dir atlas autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs f2c file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils mpich ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         hpl
Copyright:    University of Tennessee, Knoxville 2000 (c)
Group:        Development/Libraries/Parallel
Summary:      A Portable Implementation of the High-Performance Linpack Benchmark
Version:      1.0
Release:      140
Source:	      hpl.tgz
Patch:		hpl.dif
URL:		http://www.netlib.org/benchmark/hpl/
Prefix:         /usr/lib
Autoreqprov:  on
BuildRoot:	/tmp/hpl-%{version}-root
Requires:	mpich atlas
Obsoletes:	slbench, lamlnpac, chlnpack

%description
HPL is a software package that solves a (random) dense linear system in double precision (64 bits) arithmetic on distributed-memory computers. It can thus be regarded as a portable as well as freely available implementation of the High Performance Computing Linpack Benchmark.

Authors:
--------
    A. Petitet<hpl@cs.utk.edu>
    R. C. Whaley<hpl@cs.utk.edu>
    J. Dongarra<hpl@cs.utk.edu>
    A. Cleary<hpl@llnl.gov>

SuSE series: beo

%prep
%setup -q -n hpl 
%patch

%build 
if [  -z "$MPI_HOME" ]; then
        export MPI_HOME=/usr/lib/mpich
fi                             
make arch=Linux MPI_HOME=$MPI_HOME 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{prefix}/hpl
install -d $RPM_BUILD_ROOT%{_mandir}/man3
cp man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3 
cp bin/Linux/* $RPM_BUILD_ROOT%{prefix}/hpl

%files 
%doc INSTALL README TUNING COPYRIGHT BUGS
%{prefix}/hpl/*
%{_mandir}/man3/*

%changelog -n hpl
* Fri Dec 15 2000 - nashif@suse.de
- Added atlas to requires
* Mon Nov 06 2000 - nashif@suse.de
- Initial Release
